Subject: Re: bug#63742: 30.0.50; [BUG] package.el having a hard time

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 May 2023 09:37:47 +0300

merge 63742 63679 63716 63710
thanks

> Date: Sat, 27 May 2023 11:10:24 +0800
> From:  Ruijie Yu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I have recompiled Emacs master yesterday, but this build has had a hard
> time processing my init.el file (saying that PKG-pkg.el files are not
> found, where they indeed are).  I wasn't able to reproduce this exact
> problem, but upon digging further, I found one issue which I can
> reproduce it reliably in -Q environment, and which is probably related
> to the other unreproducible issue.
> 
>     $ cd $(mktemp -d)
>     $ HOME=$PWD XDG_CONFIG_HOME=$HOME/.config emacs -Q
>     M-x package-initialize RET
>     M-x list-packages RET
>     ;; And wait for it to finish listing packages from gnu and nongnu
> 
>     / n xr RET
>     ;; find some package to install, any package suffices
>     i x SPC
>     ;; Install it
> 
> Observe the error message shown in the minibuffer.  The following is the
> full message from trying to install the package.
> 
> --8<---------------cut here---------------start------------->8---
> Packages to install: 1 (xr-1.23).  Proceed? (y or n) y
> Operation [ Install 1 ] started
> Setting ‘package-selected-packages’ temporarily since "emacs -q" would overwrite customizations
> Contacting host: elpa.gnu.org:443 [2 times]
> Parsing tar file...done
> Extracting...done
>   INFO     Scraping files for loaddefs...done
>   GEN      xr-autoloads.el
> package-unpack: Wrong type argument: package-desc, nil
> --8<---------------cut here---------------end--------------->8---

Does the problem go away if you rebuild without native-compilation?
If yes, this is a known problem (bug#63679), and Andrea (CC'ed) is
aware of that, I think.